    Program g01ftfe

!     G01FTF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01ftf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: x, y
      Integer                          :: ifail
!     .. Executable Statements ..
      Write (nout,*) 'G01FTF Example Program Results'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

!     Display titles
      Write (nout,*) '  X          Y        IFAIL'
      Write (nout,*)

d_lp: Do
        Read (nin,*,Iostat=ifail) x
        If (ifail/=0) Then
          Exit d_lp
        End If

!       Compute the value of the inverse of the Landau distribution function
        ifail = 0
        y = g01ftf(x,ifail)

!       Display results
        Write (nout,99999) x, y, ifail
      End Do d_lp

99999 Format (1X,F4.1,3X,1P,E12.4,I6)
    End Program g01ftfe
